Package org.silverpeas.components.questionreply

## Class QuestionReplyStatistics

- java.lang.Object
- - org.silverpeas.components.questionreply.QuestionReplyStatistics

- All Implemented Interfaces:
    `org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider`

      @Provider
      @Named("questionReplyStatistics")
      public class QuestionReplyStatistics
      extends Object
      implements org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider

      `QUALIFIER_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuestionReplyStatistics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<org.silverpeas.core.silverstatistics.volume.model.UserIdCountVolumeCouple>` | `getVolume​(String spaceId, String componentId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider

      `countSpecificFiles, memorySizeOfSpecificFiles`

- - ### Constructor Detail

    - #### QuestionReplyStatistics

          public QuestionReplyStatistics()

  - ### Method Detail

    - #### getVolume

          public Collection<org.silverpeas.core.silverstatistics.volume.model.UserIdCountVolumeCouple> getVolume​(String spaceId,
                                                                                                                 String componentId)
                                                                                                          throws org.silverpeas.kernel.SilverpeasException

      Specified by:
        `getVolume` in interface `org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider`
      Throws:
        `org.silverpeas.kernel.SilverpeasException`